"""Initialize the game with a default level."""

import kernel
import game
import graphics
import resources
import scripts
import sys

try:
    if len(sys.argv) > 1:
        resources.copy_file(sys.argv[1])
    kernel.init("Norwegian Wood", (game.width, game.height))
    kernel.start_main_loop(game.Game(scripts.init_title))
finally:
    graphics.Texture2D.delete_all()
